i2o_device_claim
Prev | I2O message devices | Next

## Name

i2o_device_claim — claim a device for use by an OSM

## Synopsis

`int i2o_device_claim (` | struct i2o_device * | dev`)`;

## Arguments

`dev`

  I2O device to claim

## Description

Do the leg work to assign a device to a given OSM. If the claim succeeds, the owner is the primary. If the attempt fails a negative errno code is returned. On success zero is returned.

Prev | Up | Next
i2o_bus_exit | Home | i2o_device_claim_release